import pygame as pg
import geometry as g
import math

t1 = g.Triangle(g.Point(0, 0), g.Point(100, 200), g.Point(200, 0))
p1 = g.Point(-1, 0)
p2 = g.Point(50, 50)
p3 = g.Point(100, 100)
p4 = g.Point(150, 200)


def test_is_inside_triangle(tr, pt, expected):
    r = tr.point_is_inside(pt)
    print(str(pt) + " is inside triangle = " + str(r))
    assert r == expected


test_is_inside_triangle(t1, p1, False)
test_is_inside_triangle(t1, p2, True)
test_is_inside_triangle(t1, p3, True)


r1 = g.Rectangle(g.Point(0, 100), g.Point(100, 0))


def test_is_inside_rectangle(rt, pt, expected):
    print("===> " + str(rt))
    r1 = rt.point_is_inside(pt)
    print(str(pt) + " is inside rectangle = " + str(r1))
    assert r1 == expected


test_is_inside_rectangle(r1, p4, False)
test_is_inside_rectangle(r1, p2, True)
test_is_inside_rectangle(r1, p3, True)
test_is_inside_rectangle(r1, p1, False)
